<?php

declare(strict_types=1);

namespace Dedi\SyliusTranslationPlugin\EventListener;

use Knp\Menu\ItemInterface;
use Sylius\Bundle\UiBundle\Menu\Event\MenuBuilderEvent;

final class AdminMenuListener
{
    public function __invoke(MenuBuilderEvent $event): void
    {
        $menu = $event->getMenu();

        /** @var ItemInterface $configurationMenu */
        $configurationMenu = $menu->getChild('configuration');
        $configurationMenu->addChild('traduction', ['route' => 'dedi_sylius_translation_plugin_admin_translation_index'])
            ->setLabel('dedi_sylius_translation.ui.translations')
            ->setLabelAttribute('icon', 'translate')
        ;
    }
}
